Subject: Re: [PATCH RESEND] iwlwifi, Do not implement thermal zone unless ucode is loaded

From: Prarit Bhargava <[email-masked]>
Date: Mon, 11 Jul 2016 13:00:51 -0400

On 07/11/2016 12:07 PM, Coelho, Luciano wrote:
> On Mon, 2016-07-11 at 11:18 -0400, Prarit Bhargava wrote:
>> Didn't get any feedback or review comments on this patch.  Resending
>> ...
>>
>> P.
> 
> Sorry, this got flooded down my inbox.

NP, Luciano -- My worry was that it hadn't been seen or didn't make it out to
the list.

I'm being a bit impatient too ;)

P.

> 
> 
>> ---8<---
>>
>> The iwlwifi driver implements a thermal zone and hwmon device, but
>> returns -EIO on temperature reads if the firmware isn't loaded.  This
>> results in the error
>>
>> iwlwifi-virtual-0
>> Adapter: Virtual device
>> ERROR: Can't get value of subfeature temp1_input: I/O error
>> temp1:            N/A
>>
>> being output when using sensors from the lm-sensors package.  Since
>> the temperature cannot be read unless the ucode is loaded there is no
>> reason to add the interface only to have it return an error 100% of
>> the time.
>>
>> This patch moves the firmware check to
>> iwl_mvm_thermal_zone_register() and
>> stops the thermal zone from being created if the ucode hasn't been
>> loaded.
>>
>> Signed-off-by: Prarit Bhargava <[email-masked]>
>> Cc: Johannes Berg <[email-masked]>
>> Cc: Emmanuel Grumbach <[email-masked]>
>> Cc: Luca Coelho <[email-masked]>
>> Cc: Intel Linux Wireless <[email-masked]>
>> Cc: Kalle Valo <[email-masked]>
>> Cc: Chaya Rachel Ivgi <[email-masked]>
>> Cc: Sara Sharon <[email-masked]>
>> Cc: [email-masked]
>> Cc: [email-masked]
>> ---
> 
> I have now sent it for review on our internal tree.
> 
> --
> Luca.
>